@echo off
rem Sicheres Lschen des Datentrgers durch berschreiben mit vielen kleinen
rem Dateien mit hex-00 Inhalt.
rem Pro Verzeichnis (V) werden (A) Dateien von Gre (G) geschrieben. 
rem Anschlieend wieder gelscht.
rem Sinn der bung ist es, mglichst alle Sektoren (und auch von bestimmten
rem Systemen brig gelassene Teile davon) zu leeren. Auerdem werden viele 
rem Eintrge in das Verzeichnis gemacht, so da dort auch die ehemaligen
rem Nutzerdaten (Namen der gelschten Dateien) verdrngt werden. Da der
rem Inhalt der Dateien sicher gelscht ist, und auch mit den Namen jeder
rem Hinweis auf die Existenz.
rem Achtung, im Gegensatz zum FlexSafe sind die Verzeichnisse nicht alle 
rem gleichzeitig vorhanden, sondern werden (aus logischen Grnden des NulWrite 
rem Programms) nacheinander aufgebaut und gelscht. 
rem Aufrufbeispiele und Bestimmung der Parameter:
rem (A) Anzahl der Dateien als Paramter 1            (1..50.000)
rem (G) Gre der Dateien als Paramter 5 und 6       (1..1023 und ggf. k oder m)
rem (V) Verzeichnis als Produkt Parameter 2 x 3 x 4  (1-5, 1-10, 1-10)
rem FlexSped 1000 2 4 5 32 k      fr 40 Verzeichnisse je 1000 Dateien 32 kByte 
rem FlexSped 10.000 5 10 10 1023  fr 500 Verzeichnisse je 10000 Dateien 1023 byte
if "%1"=="" goto fail
if %1 gtr 50000 goto fail
if 1 gtr %1 goto fail 
if "%2"=="" goto fail 
if %2 gtr 5 goto fail
if 1 gtr %2 goto fail 
if "%3"=="" goto fail 
if %3 gtr 10 goto fail
if 1 gtr %3 goto fail 
if "%4"=="" goto fail 
if %4 gtr 10 goto fail
if 1 gtr %4 goto fail 
if "%5"=="" goto fail 
if %5 gtr 1023 goto fail
if 1 gtr %5 goto fail 
if "%6"=="m" goto ok 
if "%6"=="k" goto ok 
if "%6"=="" goto ok 
goto fail
:ok
set si2=1
:whiles2
if %si2% gtr %2 (goto wends2)
set /a sanz=%si2%*%3*%4
call Grpfs %3 %4 %1 %sanz% %5%6
@echo off
set /a si2=si2+1
goto whiles2
:wends2
:fail

