PROGRAM NullHome;

{$DEFINE DisableUTF8RTL}
{ $DEFINE DOS}
{ $DEFINE X86_64}
{ $DEFINE LINUX_32}
{ $DEFINE LINUX_64}
{$IFDEF LINUX_32} {$DEFINE LINUX} {$ENDIF}
{$IFDEF LINUX_64} {$DEFINE LINUX} {$ENDIF}
{$IFNDEF LINUX} {$IFNDEF DOS} {$DEFINE WIN_3264} {$ENDIF} {$ENDIF}

{$IFDEF DOS} {$M 65520,0,655360} {$N+}
{$ELSE} {$mode objfpc} {$H-}
        {$IFDEF X86_64} {$MAXSTACKSIZE $7FFFFFF} {$ENDIF}
{$ENDIF}

USES NullUtil, DOS;

CONST VERSION_INFO = 'NullHome   Testprogramm   V 2.88 ' +
{$IFDEF LINUX_32} '(Linux 32)' {$ELSE} {$IFDEF LINUX_64} '(Linux 64)' {$ELSE}
{$IFDEF DOS}      '(16bit)' {$ELSE}
{$IFDEF X86_64}   '(64bit)' {$ELSE} '(32bit)' {$ENDIF} {$ENDIF} {$ENDIF}
{$ENDIF} + ' 13.01.2021   (c) ALFWARE B.Schubert';

CONST SLASH = {$IFDEF LINUX} '/' {$ELSE} '\' {$ENDIF} ;
      PROTO_NULLHOME = {$IFDEF DOS} 'pr' {$ELSE} 'protokoll' {$ENDIF};

BEGIN
   WriteLn(VERSION_INFO); WriteLn;

   erghome:=(PARAMCOUNT > 0);
   Start_Verzeichnis('nullhome');

   IF io_verzeichnis = 0 THEN BEGIN
      protokoll_name(PROTO_NULLHOME);
      Assign(protokoll, proto_verzeichnis + proto_name);
      {$i-} Rewrite(protokoll); io:= ioresult; {$i+}
      WriteLn('Ioresult rewrite: ', io);

      IF io = 0 THEN BEGIN
         WriteLn(protokoll, 'Datei: ', proto_verzeichnis +  proto_name, ' geschrieben');
         WriteLn('Datei: ', proto_verzeichnis  + proto_name, ' geschrieben');
         {$i-} Close(protokoll); io:= ioresult; {$I+}
         WriteLn('Ioresult close: ', io);
      END;
   END;
END (* NullHome *).
